Debian Bug report logs - #357629
libgcc1 does not provide -dcv1 when cross-compiling

version graph

Package: gcc-3.3; Maintainer for gcc-3.3 is Philipp Kern <pkern@debian.org>;

Reported by: Pjotr Kourzanov <peter.kourzanov@xs4all.nl>

Date: Sat, 18 Mar 2006 17:48:02 UTC

Severity: minor

Tags: patch

Found in version gcc-3.3/1:3.3.6-10

Fixed in version gcc-3.3/1:3.3.6ds1-14

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#357629; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Pjotr Kourzanov <peter.kourzanov@xs4all.nl>:
New Bug report received and forwarded. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pjotr Kourzanov <peter.kourzanov@xs4all.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libgcc1 does not provide -dcv1 when cross-compiling
Date: Sat, 18 Mar 2006 18:19:37 +0100
Package: gcc-3.3
Version: 1:3.3.6-10
Severity: minor
Tags: patch

--- gcc-3.3-3.3.6/debian/control.m4	2006-03-17 23:15:07.000000000 +0100
+++ gcc-3.3-3.3.6-10/debian/control.m4	2006-03-17 23:23:08.000000000 +0100
@@ -58,6 +58,8 @@
 Section: ifdef(`TARGET',`devel',`libs')
 Priority: ifdef(`TARGET',`extra',required)
 Depends: ${shlibs:Depends}
+ifdef(`TARGET',`Provides: libgcc`'GCC_SO`'-TARGET-dcv1
+',`')`'dnl
 Description: GCC support library`'ifdef(`TARGET)',` (TARGET)', `')
  Shared version of the support library, a library of internal subroutines
  that GCC uses to overcome shortcomings of particular machines, or

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13-rc3
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages gcc-3.3 depends on:
ii  binutils          2.16.1cvs20060117-1.my The GNU assembler, linker and bina
ii  cpp-3.3           1:3.3.6-10             The GNU C preprocessor
ii  gcc-3.3-base      1:3.3.6-10             The GNU Compiler Collection (base 
ii  libc6             2.3.5-13               GNU C Library: Shared libraries an
ii  libgcc1           1:4.0.2-9.my           GCC support library

Versions of packages gcc-3.3 recommends:
ii  libc6-dev                     2.3.5-13   GNU C Library: Development Librari

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#357629; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Pjotr Kourzanov <peter.kourzanov@xs4all.nl>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 357629@bugs.debian.org (full text, mbox):

From: Pjotr Kourzanov <peter.kourzanov@xs4all.nl>
To: Debian Bug Tracking System <357629@bugs.debian.org>
Subject: libgcc/libstdc++ does not provide -dcv1 when cross-compiling
Date: Tue, 21 Mar 2006 21:09:03 +0100
Package: gcc-3.3
Version: 1:3.3.6-10
Followup-For: Bug #357629


--- gcc-3.3-3.3.6/debian/control.m4	2006-03-17 23:15:07.000000000 +0100
+++ gcc-3.3-3.3.6-10/debian/control.m4	2006-03-21 16:38:50.000000000 +0100
@@ -58,6 +58,8 @@
 Section: ifdef(`TARGET',`devel',`libs')
 Priority: ifdef(`TARGET',`extra',required)
 Depends: ${shlibs:Depends}
+ifdef(`TARGET',`Provides: libgcc`'GCC_SO-TARGET-dcv1
+',`')`'dnl
 Description: GCC support library`'ifdef(`TARGET)',` (TARGET)', `')
  Shared version of the support library, a library of internal subroutines
  that GCC uses to overcome shortcomings of particular machines, or
@@ -75,6 +77,8 @@
 Section: ifdef(`TARGET',`devel',`libs')
 Priority: ifdef(`TARGET',`extra',PRI(optional))
 Depends: ${shlibs:Depends}
+ifdef(`TARGET',`Provides: lib64gcc`'GCC_SO-TARGET-dcv1
+',`')`'dnl
 Conflicts: libgcc`'GCC_SO`'LS (<= 1:3.3-0pre9)
 Description: GCC support library`'ifdef(`TARGET)',` (TARGET)', `') (64bit)
  Shared version of the support library, a library of internal subroutines
@@ -422,6 +426,8 @@
 Section: ifdef(`TARGET',`devel',`libs')
 Priority: ifdef(`TARGET',`extra',PRI(required))
 Depends: gcc`'PV-base (>= CV), ${shlibs:Depends}
+ifdef(`TARGET',`Provides: libstdc++GCC_SO-TARGET-dcv1
+',`')`'dnl
 Description: The GNU Standard C++ Library v3`'ifdef(`TARGET)',` (TARGET)', `')
  This package contains an additional runtime library for C++ programs
  built with the GNU compiler.
@@ -442,6 +448,8 @@
 Section: ifdef(`TARGET',`devel',`libs')
 Priority: ifdef(`TARGET',`extra',PRI(important))
 Depends: gcc`'PV-base (>= CV), ${shlibs:Depends}
+ifdef(`TARGET',`Provides: lib64stdc++GCC_SO-TARGET-dcv1
+',`')`'dnl
 Conflicts: libstdc++CXX_SO`'LS (<= 1:3.3-0pre9)
 Description: The GNU Standard C++ Library v3`'ifdef(`TARGET)',` (TARGET)', `') (64bit)
  This package contains an additional runtime library for C++ programs
@@ -467,7 +475,10 @@
 Conflicts: libg++27-dev, libg++272-dev (<< 2.7.2.8-1), libstdc++2.8-dev, libg++2.8-dev, libstdc++2.9-dev, libstdc++2.9-glibc2.1-dev, libstdc++2.10-dev (<< 1:2.95.3-2), libstdc++3.0-dev, libstdc++5-dev (<= 1:3.2.3-0pre3)
 Suggests: libstdc++CXX_SO`'PV-doc
 ')`'dnl native
-Provides: libstdc++-dev`'LS
+Provides: libstdc++-dev`'LS`'dnl
+ifdef(`TARGET',`, libstdc++-dev-TARGET-dcv1, libstdc++GCC_SO`'PV-TARGET-dcv1
+',`
+')`'dnl
 Description: The GNU Standard C++ Library v3 (development files)`'ifdef(`TARGET)',` (TARGET)', `')
  This package contains the headers and static library files necessary for
  building C++ programs which use libstdc++. Be advised that this only works
@@ -487,6 +498,8 @@
 Section: ifdef(`TARGET',`devel',`libdevel')
 Priority: extra
 Depends: gcc`'PV-base (>= CV), libstdc++CXX_SO`'LS, libstdc++CXX_SO`'PV-dev`'LS
+ifdef(`TARGET',`Provides: libstdc++GCC_SO`'PV-pic-TARGET-dcv1
+',`')`'dnl
 Description: The GNU Standard C++ Library v3 (shared library subset kit)`'ifdef(`TARGET)',` (TARGET)', `')
  This is used to develop subsets of the libstdc++ shared libraries for
  use on custom installation floppies and in embedded systems.
@@ -503,6 +516,8 @@
 Section: ifdef(`TARGET',`devel',`libdevel')
 Priority: extra
 Depends: gcc`'PV-base (>= CV), libstdc++CXX_SO`'LS, libstdc++CXX_SO`'PV-dev`'LS
+ifdef(`TARGET',`Provides: libstdc++GCC_SO`'PV-dbg-TARGET-dcv1
+',`')`'dnl
 Conflicts: libstdc++5-dbg`'LS
 Description: The GNU Standard C++ Library v3 (debugging files)`'ifdef(`TARGET)',` (TARGET)', `')
  This package contains the shared library of libstdc++ compiled with

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13-rc3
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages gcc-3.3 depends on:
ii  binutils          2.16.1cvs20060117-1.my The GNU assembler, linker and bina
ii  cpp-3.3           1:3.3.6-10             The GNU C preprocessor
ii  gcc-3.3-base      1:3.3.6-10             The GNU Compiler Collection (base 
ii  libc6             2.3.6-3                GNU C Library: Shared libraries an
ii  libgcc1           1:4.0.2-9.my           GCC support library

Versions of packages gcc-3.3 recommends:
ii  libc6-dev                     2.3.6-3    GNU C Library: Development Librari

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#357629; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Phil Endecott <phil_xgpal_endecott@chezphil.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 357629@bugs.debian.org (full text, mbox):

From: Phil Endecott <phil_xgpal_endecott@chezphil.org>
To: <357629@bugs.debian.org>
Subject: This patch needs changes
Date: Mon, 28 Aug 2006 23:29:36 -0100
I've just tried building gcc-3.3 with this patch applied and it gets the 
Provides: lines wrong for libstdc++.  Comparing it with the patch for gcc-3.4 
(bug #357658) I changed the mentions of GCC_SO to CXX_SO in the obvious 
places, and it superficially seems to work.

(I'd love to see a release of gcc-3.3 including this fix - it would have saved 
me a lot of pain over the last few days!)

Thanks,  Phil.







Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#357629; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Pjotr Kourzanov <peter.kourzanov@xs4all.nl>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 357629@bugs.debian.org (full text, mbox):

From: Pjotr Kourzanov <peter.kourzanov@xs4all.nl>
To: 357629@bugs.debian.org
Subject: updated patch
Date: Wed, 30 Aug 2006 13:16:14 +0200
[Message part 1 (text/plain, inline)]
Just found this new patch lying in my /usr/src/Debian from 3 april:-)
Apparently I forgot to push it to bugs.debian.org then...

Pjotr
[gcc-3.3-3.3.6-cross.patch (text/x-patch, inline)]
--- gcc-3.3-3.3.6/debian/control.m4	2006-04-03 01:08:23.000000000 +0200
+++ gcc-3.3-3.3.6-13/debian/control.m4	2006-04-03 01:35:14.000000000 +0200
@@ -58,6 +58,8 @@
 Section: ifdef(`TARGET',`devel',`libs')
 Priority: ifdef(`TARGET',`extra',required)
 Depends: ${shlibs:Depends}
+ifdef(`TARGET',`Provides: libgcc`'GCC_SO-TARGET-dcv1
+',`')`'dnl
 Description: GCC support library`'ifdef(`TARGET)',` (TARGET)', `')
  Shared version of the support library, a library of internal subroutines
  that GCC uses to overcome shortcomings of particular machines, or
@@ -75,6 +77,8 @@
 Section: ifdef(`TARGET',`devel',`libs')
 Priority: ifdef(`TARGET',`extra',PRI(optional))
 Depends: ${shlibs:Depends}
+ifdef(`TARGET',`Provides: lib64gcc`'GCC_SO-TARGET-dcv1
+',`')`'dnl
 Conflicts: libgcc`'GCC_SO`'LS (<= 1:3.3-0pre9)
 Description: GCC support library`'ifdef(`TARGET)',` (TARGET)', `') (64bit)
  Shared version of the support library, a library of internal subroutines
@@ -422,6 +426,8 @@
 Section: ifdef(`TARGET',`devel',`libs')
 Priority: ifdef(`TARGET',`extra',PRI(required))
 Depends: gcc`'PV-base (>= CV), ${shlibs:Depends}
+ifdef(`TARGET',`Provides: libstdc++CXX_SO-TARGET-dcv1
+',`')`'dnl
 Description: The GNU Standard C++ Library v3`'ifdef(`TARGET)',` (TARGET)', `')
  This package contains an additional runtime library for C++ programs
  built with the GNU compiler.
@@ -442,6 +448,8 @@
 Section: ifdef(`TARGET',`devel',`libs')
 Priority: ifdef(`TARGET',`extra',PRI(important))
 Depends: gcc`'PV-base (>= CV), ${shlibs:Depends}
+ifdef(`TARGET',`Provides: lib64stdc++CXX_SO-TARGET-dcv1
+',`')`'dnl
 Conflicts: libstdc++CXX_SO`'LS (<= 1:3.3-0pre9)
 Description: The GNU Standard C++ Library v3`'ifdef(`TARGET)',` (TARGET)', `') (64bit)
  This package contains an additional runtime library for C++ programs
@@ -467,7 +475,10 @@
 Conflicts: libg++27-dev, libg++272-dev (<< 2.7.2.8-1), libstdc++2.8-dev, libg++2.8-dev, libstdc++2.9-dev, libstdc++2.9-glibc2.1-dev, libstdc++2.10-dev (<< 1:2.95.3-2), libstdc++3.0-dev, libstdc++5-dev (<= 1:3.2.3-0pre3)
 Suggests: libstdc++CXX_SO`'PV-doc
 ')`'dnl native
-Provides: libstdc++-dev`'LS
+Provides: libstdc++-dev`'LS`'dnl
+ifdef(`TARGET',`, libstdc++-dev-TARGET-dcv1, libstdc++CXX_SO`'PV-TARGET-dcv1
+',`
+')`'dnl
 Description: The GNU Standard C++ Library v3 (development files)`'ifdef(`TARGET)',` (TARGET)', `')
  This package contains the headers and static library files necessary for
  building C++ programs which use libstdc++. Be advised that this only works
@@ -487,6 +498,8 @@
 Section: ifdef(`TARGET',`devel',`libdevel')
 Priority: extra
 Depends: gcc`'PV-base (>= CV), libstdc++CXX_SO`'LS, libstdc++CXX_SO`'PV-dev`'LS
+ifdef(`TARGET',`Provides: libstdc++CXX_SO`'PV-pic-TARGET-dcv1
+',`')`'dnl
 Description: The GNU Standard C++ Library v3 (shared library subset kit)`'ifdef(`TARGET)',` (TARGET)', `')
  This is used to develop subsets of the libstdc++ shared libraries for
  use on custom installation floppies and in embedded systems.
@@ -503,6 +516,8 @@
 Section: ifdef(`TARGET',`devel',`libdevel')
 Priority: extra
 Depends: gcc`'PV-base (>= CV), libstdc++CXX_SO`'LS, libstdc++CXX_SO`'PV-dev`'LS
+ifdef(`TARGET',`Provides: libstdc++CXX_SO`'PV-dbg-TARGET-dcv1
+',`')`'dnl
 Conflicts: libstdc++5-dbg`'LS
 Description: The GNU Standard C++ Library v3 (debugging files)`'ifdef(`TARGET)',` (TARGET)', `')
  This package contains the shared library of libstdc++ compiled with

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Pjotr Kourzanov <peter.kourzanov@xs4all.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 357629-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 357629-close@bugs.debian.org
Subject: Bug#357629: fixed in gcc-3.3 1:3.3.6ds1-14
Date: Tue, 02 Jan 2007 13:17:05 +0000
Source: gcc-3.3
Source-Version: 1:3.3.6ds1-14

We believe that the bug you reported is fixed in the latest version of
gcc-3.3, which is due to be installed in the Debian FTP archive:

cpp-3.3_3.3.6-14_i386.deb
  to pool/main/g/gcc-3.3/cpp-3.3_3.3.6-14_i386.deb
g++-3.3_3.3.6-14_i386.deb
  to pool/main/g/gcc-3.3/g++-3.3_3.3.6-14_i386.deb
gcc-3.3-base_3.3.6-14_i386.deb
  to pool/main/g/gcc-3.3/gcc-3.3-base_3.3.6-14_i386.deb
gcc-3.3_3.3.6-14_i386.deb
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.6-14_i386.deb
gcc-3.3_3.3.6ds1-14.diff.gz
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.6ds1-14.diff.gz
gcc-3.3_3.3.6ds1-14.dsc
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.6ds1-14.dsc
gcc-3.3_3.3.6ds1.orig.tar.gz
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.6ds1.orig.tar.gz
libstdc++5-3.3-dbg_3.3.6-14_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-dbg_3.3.6-14_i386.deb
libstdc++5-3.3-dev_3.3.6-14_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-dev_3.3.6-14_i386.deb
libstdc++5-3.3-doc_3.3.6-14_all.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-doc_3.3.6-14_all.deb
libstdc++5-3.3-pic_3.3.6-14_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-pic_3.3.6-14_i386.deb
libstdc++5_3.3.6-14_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5_3.3.6-14_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 357629@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-3.3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  1 Jan 2007 16:10:47 +0100
Source: gcc-3.3
Binary: libstdc++5-3.3-dev gcc-3.3-hppa64 cpp-3.3 gcc-3.3-nof gcc-3.3 libstdc++5-3.3-pic gcc-3.3-base libgcc1 g++-3.3 libstdc++5-3.3-dbg lib64stdc++5 gcc-3.3-soft-float libstdc++5-3.3-doc libstdc++5
Architecture: source i386 all
Version: 1:3.3.6ds1-14
Distribution: unstable
Urgency: low
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-3.3    - The GNU C preprocessor
 g++-3.3    - The GNU C++ compiler
 gcc-3.3    - The GNU C compiler
 gcc-3.3-base - The GNU Compiler Collection (base package)
 libstdc++5 - The GNU Standard C++ Library v3
 libstdc++5-3.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 libstdc++5-3.3-dev - The GNU Standard C++ Library v3 (development files)
 libstdc++5-3.3-doc - The GNU Standard C++ Library v3 (documentation files)
 libstdc++5-3.3-pic - The GNU Standard C++ Library v3 (shared library subset kit)
Closes: 193787 357629
Changes: 
 gcc-3.3 (1:3.3.6ds1-14) unstable; urgency=low
 .
   * Build without GFDL licensed docs. Closes: #193787.
     - debian/*.texi, debian/porting.html: Add dummy documentation.
     - debian/rules.unpack, debian/rules.patch: Update for non-gfdl build.
   * Don't build cpp-3.3-doc, gcc-3.3-doc, packages.
   * Merge from Ubuntu:
     - Backport the biarch-include patches from gcc-3.4,
       adding /usr/include/<target_alias> to the standard include path.
       Fixes build failure on sparc.
     - Remove the multilib part from the multiarch-include patch.
   * libgcc1: Provide libgcc1-TARGET-dcv1 when cross-compiling (Pjotr
     Kourzanov). Closes: #357629.
Files: 
 47398163435ecdb0b40e4693399ab5df 1793 devel optional gcc-3.3_3.3.6ds1-14.dsc
 7f53e2d752bfe7ccd8a3cdc5c31f5bc0 24049949 devel optional gcc-3.3_3.3.6ds1.orig.tar.gz
 1b6866bd78c73f8350bc702f2db6b216 330759 devel optional gcc-3.3_3.3.6ds1-14.diff.gz
 6138aae89b81c0d81ef52d13a36f956f 7090200 doc optional libstdc++5-3.3-doc_3.3.6-14_all.deb
 5866c963b926b719f2998490210a2a1c 150696 devel optional gcc-3.3-base_3.3.6-14_i386.deb
 8b2b276e86fced6b4d3294a73b46b591 1374840 interpreters optional cpp-3.3_3.3.6-14_i386.deb
 77b8793837f5ac70c8e5416560eb9ede 1771492 devel optional g++-3.3_3.3.6-14_i386.deb
 76673482e3535450c6cff475eae63f2d 295962 libs optional libstdc++5_3.3.6-14_i386.deb
 1745ba1ab235b714ae826a16f54e7938 774806 libdevel optional libstdc++5-3.3-dev_3.3.6-14_i386.deb
 6e3583059cc1669ce201c9c1a0b2af17 325238 libdevel extra libstdc++5-3.3-pic_3.3.6-14_i386.deb
 09cc85b896db678daeea264a35ae38fc 4906516 libdevel extra libstdc++5-3.3-dbg_3.3.6-14_i386.deb
 d5443a491b6b809f987987179d234b94 1425348 devel optional gcc-3.3_3.3.6-14_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFmjRdStlRaw+TLJwRAoRvAJ99H4E9ZNfF6K0AczSur3eg3gE2mwCghNri
eAbwzjVrKKY44+XP69nolKc=
=Z0mZ
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#357629; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to "Pauliina Holdsworth" <Holdsworth@accesspoint.pl>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 357629@bugs.debian.org (full text, mbox):

From: "Pauliina Holdsworth" <Holdsworth@accesspoint.pl>
To: <357629@bugs.debian.org>
Subject: sprouting LA
Date: Fri, 20 Apr 2007 11:39:14 +0200
Without thinking she let herself thump down in the straight-backed chair.

AN ALLE FINANZINVESTOREN!
DIESE AKTIE WIRD DURCHSTARTEN!
FREITAG 20. APRIL STARTET DIE HAUSSE!
REALISIERTER KURSGEWINN VON 400%+ IN 5 TAGEN!

Symbol: G7Q.F
Company: COUNTY LINE ENERGY
5 Tages Kursziel: 0.95
Schlusskurs: 0.21
WKN:  A0J3B0
ISIN: US2224791077
Markt: Frankfurt

LASSEN SIE SICH DIESE CHANCE NICHT ENTGEHEN!
G7Q WIRD WIE EINE RAKETE DURCHSTARTEN!
UNSERE ERWARTUNGEN WIRD G7Q.F UBERTREFFEN!

As of this writing, Larry Wall has just announced the Alpha release of Perl 5.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 01:33:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 22:12:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.